MONGOC_DATABASE_REMOVE_USER(3)

NAME
mongoc_database_remove_user - mongoc_database_remove_user()

SYNOPSIS

        bool
        mongoc_database_remove_user (mongoc_database_t *database,
                                     const char *username,
                                     bson_error_t *error);

This function removes the user named username from database.

PARAMETERS

    •   database: A mongoc_database_t.

    •   username: A string containing the username of the user to remove.

    •   error: An optional location for a bson_error_t or NULL.

ERRORS

Errors are propagated via the error parameter. This could include socket errors or others if the current user is not authorized to perform the command.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc